
/**
* Iso639_2
*
* @description :: Server-side logic for getting labels for iso-639-2 keys in en, de, it, fr.
*/

module.exports = {
  getLabels: function(languages, lang){
    var langs = [];
    for (key in languages) {
      langs.push({
        'semkey':key,
        'iso_639_2': languages[key],
        'displayLabel': this.getLabel(languages[key], lang)
      })
    }

    return langs;
  },
  getLabel: function (key, lang){

    var dict = {
      'afa': {'en': "Afro-Asiatic languages", 'de': "Hamitosemitische Sprachen (Andere)", 'fr': "afro-asiatiques, langues", 'it': "Lingue Afro-Asiatiche (Altre)"},
      'afh': {'en': "Afrihili", 'de': "Afrihili", 'fr': "afrihili", 'it': "Afrihili"},
      'afr': {'en': "Afrikaans", 'de': "Afrikaans", 'fr': "afrikaans", 'it': "Afrikaans"},
      'ain': {'en': "Ainu", 'de': "Ainu-Sprache", 'fr': "aïnou", 'it': "Ainu"},
      'aka': {'en': "Akan", 'de': "Akan-Sprache", 'fr': "akan", 'it': "Akan"},
      'akk': {'en': "Akkadian", 'de': "Akkadisch", 'fr': "akkadien", 'it': "Akkadian"},
      'alb': {'en': "Albanian", 'de': "Albanisch", 'fr': "albanais", 'it': "Albanese"},
      'ale': {'en': "Aleut", 'de': "Aleutisch", 'fr': "aléoute", 'it': "Aleut"},
      'alg': {'en': "Algonquian languages", 'de': "Algonkin-Sprachen (Andere)", 'fr': "algonquines, langues", 'it': "Lingue algonquine"},
      'alt': {'en': "Southern Altai", 'de': "Altaisch", 'fr': "altai du Sud", 'it': "Altaiche meridionali"},
      'amh': {'en': "Amharic", 'de': "Amharisch", 'fr': "amharique", 'it': "Amarico"},
      'ang': {'en': "English, Old (ca.450-1100)", 'de': "Altenglisch", 'fr': "anglo-saxon (ca.450-1100)", 'it': "Inglese Antico (ca.450-1100)"},
      'apa': {'en': "Apache languages", 'de': "Apachen-Sprachen", 'fr': "apaches, langues", 'it': "Apache"},
      'ara': {'en': "Arabic", 'de': "Arabisch", 'fr': "arabe", 'it': "Arabo"},
      'arc': {'en': "Official Aramaic (700-300 BCE); Imperial Aramaic (700-300 BCE)", 'de': "Aramäisch", 'fr': "araméen d'empire (700-300 BCE)", 'it': "Aramaico"},
      'arg': {'en': "Aragonese", 'de': "Aragonesisch", 'fr': "aragonais", 'it': "Aragonese"},
      'arm': {'en': "Armenian", 'de': "Armenisch", 'fr': "arménien", 'it': "Armeno"},
      'arn': {'en': "Mapudungun; Mapuche", 'de': "Arauka-Sprachen", 'fr': "mapudungun; mapuche; mapuce", 'it': "Araucaniano"},
      'arp': {'en': "Arapaho", 'de': "Arapaho-Sprache", 'fr': "arapaho", 'it': "Arapaho"},
      'art': {'en': "Artificial languages", 'de': "Kunstsprachen (Andere)", 'fr': "artificielles, langues", 'it': "Artificiale (Altre)"},
      'arw': {'en': "Arawak", 'de': "Arawak-Sprachen", 'fr': "arawak", 'it': "Arawak"},
      'asm': {'en': "Assamese", 'de': "Assamesisch", 'fr': "assamais", 'it': "Assamese"},
      'ast': {'en': "Asturian; Bable; Leonese; Asturleonese", 'de': "Asturisch", 'fr': "asturien; bable; léonais; asturoléonais", 'it': "Asturiano (Bable)"},
      'ath': {'en': "Athapascan languages", 'de': "Athapaskische Sprachen (Andere)", 'fr': "athapascanes, langues", 'it': "Lingue Athapascane"},
      'aus': {'en': "Australian languages", 'de': "Australische Sprachen", 'fr': "australiennes, langues", 'it': "Lingue Aborigene Australiane"},
      'ava': {'en': "Avaric", 'de': "Awarisch", 'fr': "avar", 'it': "Avarico"},
      'ave': {'en': "Avestan", 'de': "Avestisch", 'fr': "avestique", 'it': "Avestano"},
      'awa': {'en': "Awadhi", 'de': "Awadhi", 'fr': "awadhi", 'it': "Awadhi"},
      'aym': {'en': "Aymara", 'de': "Aymará-Sprache", 'fr': "aymara", 'it': "Aymara"},
      'aze': {'en': "Azerbaijani", 'de': "Aserbeidschanisch", 'fr': "azéri", 'it': "Azero"},
      'bad': {'en': "Banda languages", 'de': "Banda-Sprachen (Ubangi-Sprachen)", 'fr': "banda, langues", 'it': "Banda"},
      'bai': {'en': "Bamileke languages", 'de': "Bamileke-Sprachen", 'fr': "bamiléké, langues", 'it': "Lingue Bamileke"},
      'bak': {'en': "Bashkir", 'de': "Baschkirisch", 'fr': "bachkir", 'it': "Bashkir"},
      'bal': {'en': "Baluchi", 'de': "Belutschisch", 'fr': "baloutchi", 'it': "Baluchi"},
      'bam': {'en': "Bambara", 'de': "Bambara-Sprache", 'fr': "bambara", 'it': "Bambara"},
      'ban': {'en': "Balinese", 'de': "Balinesisch", 'fr': "balinais", 'it': "Balinese"},
      'baq': {'en': "Basque", 'de': "Baskisch", 'fr': "basque", 'it': "Basco"},
      'bas': {'en': "Basa", 'de': "Basaa-Sprache", 'fr': "basa", 'it': "Basa"},
      'bat': {'en': "Baltic languages", 'de': "Baltische Sprachen (Andere)", 'fr': "baltes, langues", 'it': "Baltiche (Altre)"},
      'bej': {'en': "Beja; Bedawiyet", 'de': "Bedauye", 'fr': "bedja", 'it': "Beja"},
      'bel': {'en': "Belarusian", 'de': "Weißrussisch", 'fr': "biélorusse", 'it': "Bielorusso"},
      'bem': {'en': "Bemba", 'de': "Bemba-Sprache", 'fr': "bemba", 'it': "Bemba"},
      'ben': {'en': "Bengali", 'de': "Bengali", 'fr': "bengali", 'it': "Bengali"},
      'ber': {'en': "Berber languages", 'de': "Berbersprachen (Andere)", 'fr': "berbères, langues", 'it': "Berbere (Altre)"},
      'bho': {'en': "Bhojpuri", 'de': "Bhojpuri", 'fr': "bhojpuri", 'it': "Bhojpuri"},
      'bih': {'en': "Bihari languages", 'de': "Bihari (Andere)", 'fr': "langues biharis", 'it': "Bihari"},
      'bik': {'en': "Bikol", 'de': "Bikol-Sprache", 'fr': "bikol", 'it': "Bikol"},
      'bin': {'en': "Bini; Edo", 'de': "Edo-Sprache", 'fr': "bini; edo", 'it': "Bini"},
      'bis': {'en': "Bislama", 'de': "Beach-la-mar", 'fr': "bichlamar", 'it': "Bislama"},
      'bla': {'en': "Siksika", 'de': "Blackfoot-Sprache", 'fr': "blackfoot", 'it': "Siksika"},
      'bnt': {'en': "Bantu languages", 'de': "Bantusprachen (Andere)", 'fr': "bantou, langues", 'it': "Bantu (Altre)"},
      'bos': {'en': "Bosnian", 'de': "Bosnisch", 'fr': "bosniaque", 'it': "Bosniaco"},
      'bra': {'en': "Braj", 'de': "Braj-Bhakha", 'fr': "braj", 'it': "Braj"},
      'bre': {'en': "Breton", 'de': "Bretonisch", 'fr': "breton", 'it': "Bretone"},
      'btk': {'en': "Batak languages", 'de': "Batak-Sprache", 'fr': "batak, langues", 'it': "Batak (Indonesia)"},
      'bua': {'en': "Buriat", 'de': "Burjatisch", 'fr': "bouriate", 'it': "Buriat"},
      'bug': {'en': "Buginese", 'de': "Bugi-Sprache", 'fr': "bugi", 'it': "Buginese"},
      'bul': {'en': "Bulgarian", 'de': "Bulgarisch", 'fr': "bulgare", 'it': "Bulgaro"},
      'bur': {'en': "Burmese", 'de': "Birmanisch", 'fr': "birman", 'it': "Burmese"},
      'byn': {'en': "Blin; Bilin", 'de': "Bilin-Sprache", 'fr': "blin; bilen", 'it': "Blin"},
      'cad': {'en': "Caddo", 'de': "Caddo-Sprachen", 'fr': "caddo", 'it': "Caddo"},
      'cai': {'en': "Central American Indian languages", 'de': "Indianersprachen, Zentralamerika (Andere)", 'fr': "amérindiennes de l'Amérique centrale, langues", 'it': "Lingue Native Centro Americane (Altre)"},
      'car': {'en': "Galibi Carib", 'de': "Karibische Sprachen", 'fr': "karib; galibi; carib", 'it': "Carib"},
      'cat': {'en': "Catalan; Valencian", 'de': "Katalanisch", 'fr': "catalan; valencien", 'it': "Catalano"},
      'cau': {'en': "Caucasian languages", 'de': "Kaukasische Sprachen (Andere)", 'fr': "caucasiennes, langues", 'it': "Caucaso (Altre)"},
      'ceb': {'en': "Cebuano", 'de': "Cebuano", 'fr': "cebuano", 'it': "Cebuano"},
      'cel': {'en': "Celtic languages", 'de': "Keltische Sprachen (Andere)", 'fr': "celtiques, langues; celtes, langues", 'it': "Celtiche (Altre)"},
      'cha': {'en': "Chamorro", 'de': "Chamorro-Sprache", 'fr': "chamorro", 'it': "Chamorro"},
      'chb': {'en': "Chibcha", 'de': "Chibcha-Sprachen", 'fr': "chibcha", 'it': "Chibcha"},
      'che': {'en': "Chechen", 'de': "Tschetschenisch", 'fr': "tchétchène", 'it': "Ceceno"},
      'chg': {'en': "Chagatai", 'de': "Tschagataisch", 'fr': "djaghataï", 'it': "Chagatai"},
      'chi': {'en': "Chinese", 'de': "Chinesisch", 'fr': "chinois", 'it': "Cinese"},
      'chk': {'en': "Chuukese", 'de': "Trukesisch", 'fr': "chuuk", 'it': "Chuukese"},
      'chm': {'en': "Mari", 'de': "Tscheremissisch", 'fr': "mari", 'it': "Mari"},
      'chn': {'en': "Chinook jargon", 'de': "Chinook-Jargon", 'fr': "chinook, jargon", 'it': "Chinook jargon"},
      'cho': {'en': "Choctaw", 'de': "Choctaw-Sprache", 'fr': "choctaw", 'it': "Choctaw"},
      'chp': {'en': "Chipewyan; Dene Suline", 'de': "Chipewyan-Sprache", 'fr': "chipewyan", 'it': "Chipewyan"},
      'chr': {'en': "Cherokee", 'de': "Cherokee-Sprache", 'fr': "cherokee", 'it': "Cherokee"},
      'chu': {'en': "Church Slavic; Old Slavonic; Church Slavonic; Old Bulgarian; Old Church Slavonic", 'de': "Kirchenslawisch", 'fr': "slavon d'église; vieux slave; slavon liturgique; vieux bulgare", 'it': "Slavo liturgico"},
      'chv': {'en': "Chuvash", 'de': "Tschuwaschisch", 'fr': "tchouvache", 'it': "Chuvash"},
      'chy': {'en': "Cheyenne", 'de': "Cheyenne-Sprache", 'fr': "cheyenne", 'it': "Cheyenne"},
      'cmc': {'en': "Chamic languages", 'de': "Cham-Sprachen", 'fr': "chames, langues", 'it': "Lingue Chamiche"},
      'cop': {'en': "Coptic", 'de': "Koptisch", 'fr': "copte", 'it': "Copto"},
      'cor': {'en': "Cornish", 'de': "Kornisch", 'fr': "cornique", 'it': "Cornico"},
      'cos': {'en': "Corsican", 'de': "Korsisch", 'fr': "corse", 'it': "Corso"},
      'cpe': {'en': "Creoles and pidgins, English based", 'de': "Kreolisch-Englisch (Andere)", 'fr': "créoles et pidgins basés sur l'anglais", 'it': "Creole e pidgin, basati sull'inglese (Altre)"},
      'cpf': {'en': "Creoles and pidgins, French-based", 'de': "Kreolisch-Französisch (Andere)", 'fr': "créoles et pidgins basés sur le français", 'it': "Creole e pidgin, basati sul francese (Altre)"},
      'cpp': {'en': "Creoles and pidgins, Portuguese-based", 'de': "Kreolisch-Portugiesisch (Andere)", 'fr': "créoles et pidgins basés sur le portugais", 'it': "Creole e pidgin, basati sul portoghese (Altre)"},
      'cre': {'en': "Cree", 'de': "Cree-Sprache", 'fr': "cree", 'it': "Cree"},
      'crh': {'en': "Crimean Tatar; Crimean Turkish", 'de': "Krimtatarisch", 'fr': "tatar de Crimé", 'it': "Tataro della Crimea"},
      'crp': {'en': "Creoles and pidgins", 'de': "Kreolische Sprachen; Pidginsprachen (Andere)", 'fr': "créoles et pidgins", 'it': "Creole e pidgin (Altre)"},
      'csb': {'en': "Kashubian", 'de': "Kaschubisch", 'fr': "kachoube", 'it': "Casciubo"},
      'cze': {'en': "Czech", 'de': "Tschechisch", 'fr': "tchèque", 'it': "Ceco"},
      'dak': {'en': "Dakota", 'de': "Dakota-Sprache", 'fr': "dakota", 'it': "Dakota"},
      'dan': {'en': "Danish", 'de': "Dänisch", 'fr': "danois", 'it': "Danese"},
      'dar': {'en': "Dargwa", 'de': "Darginisch", 'fr': "dargwa", 'it': "Dargwa"},
      'day': {'en': "Land Dayak languages", 'de': "Dajakisch", 'fr': "dayak, langues", 'it': "Dayak"},
      'del': {'en': "Delaware", 'de': "Delaware-Sprache", 'fr': "delaware", 'it': "Delaware"},
      'den': {'en': "Slave (Athapascan)", 'de': "Slave-Sprache", 'fr': "esclave (athapascan)", 'it': "Slave (Athapascan)"},
      'dgr': {'en': "Dogrib", 'de': "Dogrib-Sprache", 'fr': "dogrib", 'it': "Dogrib"},
      'din': {'en': "Dinka", 'de': "Dinka-Sprache", 'fr': "dinka", 'it': "Dinka"},
      'div': {'en': "Divehi; Dhivehi; Maldivian", 'de': "Maledivisch", 'fr': "maldivien", 'it': "Divehi"},
      'doi': {'en': "Dogri", 'de': "Dogri", 'fr': "dogri", 'it': "Dogri"},
      'dra': {'en': "Dravidian languages", 'de': "Drawidische Sprachen (Andere)", 'fr': "dravidiennes, langues", 'it': "Dravidiche (Altre)"},
      'dua': {'en': "Duala", 'de': "Duala-Sprachen", 'fr': "douala", 'it': "Duala"},
      'dum': {'en': "Dutch, Middle (ca.1050-1350)", 'de': "Mittelniederländisch", 'fr': "néerlandais moyen (ca. 1050-1350)", 'it': "Olandese, Medio (ca.1050-1350)"},
      'dut': {'en': "Dutch; Flemish", 'de': "Niederländisch", 'fr': "néerlandais; flamand", 'it': "Olandese"},
      'dyu': {'en': "Dyula", 'de': "Dyula-Sprache", 'fr': "dioula", 'it': "Dyula"},
      'dzo': {'en': "Dzongkha", 'de': "Dzongkha", 'fr': "dzongkha", 'it': "Dzongkha"},
      'efi': {'en': "Efik", 'de': "Efik", 'fr': "efik", 'it': "Efik"},
      'egy': {'en': "Egyptian (Ancient)", 'de': "Ägyptisch", 'fr': "égyptien", 'it': "Egiziano (Antico)"},
      'eka': {'en': "Ekajuk", 'de': "Ekajuk", 'fr': "ekajuk", 'it': "Ekajuk"},
      'elx': {'en': "Elamite", 'de': "Elamisch", 'fr': "élamite", 'it': "Elamite"},
      'eng': {'en': "English", 'de': "Englisch", 'fr': "anglais", 'it': "Inglese"},
      'enm': {'en': "English, Middle (1100-1500)", 'de': "Mittelenglisch", 'fr': "anglais moyen (1100-1500)", 'it': "Inglese, Medio (1100-1500)"},
      'epo': {'en': "Esperanto", 'de': "Esperanto", 'fr': "espéranto", 'it': "Esperanto"},
      'esp': {'en': "Spanish; Castilian", 'de': "Spanisch", 'fr': "espagnol; castillan", 'it': "Spagnolo"},
      'est': {'en': "Estonian", 'de': "Estnisch", 'fr': "estonien", 'it': "Estone"},
      'ewe': {'en': "Ewe", 'de': "Ewe-Sprache", 'fr': "éwé", 'it': "Ewe"},
      'ewo': {'en': "Ewondo", 'de': "Ewondo", 'fr': "éwondo", 'it': "Ewondo"},
      'fan': {'en': "Fang", 'de': "Pangwe-Sprache", 'fr': "fang", 'it': "Fang"},
      'fao': {'en': "Faroese", 'de': "Färöisch", 'fr': "féroïen", 'it': "Faroese"},
      'fat': {'en': "Fanti", 'de': "Fante-Sprache", 'fr': "fanti", 'it': "Fanti"},
      'fij': {'en': "Fijian", 'de': "Fidschi-Sprache", 'fr': "fidjien", 'it': "Fijian"},
      'fil': {'en': "Filipino; Pilipino", 'de': "Pilipino", 'fr': "filipino; pilipino", 'it': "Filippino"},
      'fin': {'en': "Finnish", 'de': "Finnisch", 'fr': "finnois", 'it': "Finlandese"},
      'fiu': {'en': "Finno-Ugrian languages", 'de': "Finnougrische Sprachen (Andere)", 'fr': "finno-ougriennes, langues", 'it': "Ugro-finnico (Altre)"},
      'fon': {'en': "Fon", 'de': "Fon-Sprache", 'fr': "fon", 'it': "Fon"},
      'fra': {'en': "French", 'de': "Französisch", 'fr': "français", 'it': "Francese"},
      'fre': {'en': "French", 'de': "Französisch", 'fr': "français", 'it': "Francese"},
      'frm': {'en': "French, Middle (ca.1400-1600)", 'de': "Mittelfranzösisch", 'fr': "français moyen (1400-1600)", 'it': "Francese Medio (ca.1400-1600)"},
      'fro': {'en': "French, Old (842-ca.1400)", 'de': "Altfranzösisch", 'fr': "français ancien (842-ca.1400)", 'it': "Francese Antico (842-ca.1400)"},
      'fry': {'en': "Western Frisian", 'de': "Friesisch", 'fr': "frison occidental", 'it': "Frisone"},
      'ful': {'en': "Fulah", 'de': "Ful", 'fr': "peul", 'it': "Fulah"},
      'fur': {'en': "Friulian", 'de': "Friulisch", 'fr': "frioulan", 'it': "Friulano"},
      'gaa': {'en': "Ga", 'de': "Ga-Sprache", 'fr': "ga", 'it': "Ga"},
      'gay': {'en': "Gayo", 'de': "Gayo-Sprache", 'fr': "gayo", 'it': "Gayo"},
      'gba': {'en': "Gbaya", 'de': "Gbaya-Sprache", 'fr': "gbaya", 'it': "Gbaya"},
      'gem': {'en': "Germanic languages", 'de': "Germanische Sprachen (Andere)", 'fr': "germaniques, langues", 'it': "Germaniche (Altre)"},
      'geo': {'en': "Georgian", 'de': "Georgisch", 'fr': "géorgien", 'it': "Georgiano"},
      'deu': {'en': "German", 'de': "Deutsch", 'fr': "allemand", 'it': "Tedesco"},
      'gez': {'en': "Geez", 'de': "Altäthiopisch", 'fr': "guèze", 'it': "Geez"},
      'gil': {'en': "Gilbertese", 'de': "Gilbertesisch", 'fr': "kiribati", 'it': "Gilbertese"},
      'gla': {'en': "Gaelic; Scottish Gaelic", 'de': "Gälisch-Schottisch", 'fr': "gaélique; gaélique écossais", 'it': "Gaelico"},
      'gle': {'en': "Irish", 'de': "Irisch", 'fr': "irlandais", 'it': "Gaelico irlandese"},
      'glg': {'en': "Galician", 'de': "Galicisch", 'fr': "galicien", 'it': "Galiziano"},
      'glv': {'en': "Manx", 'de': "Manx", 'fr': "manx; mannois", 'it': "Manx"},
      'gmh': {'en': "German, Middle High (ca.1050-1500)", 'de': "Mittelhochdeutsch", 'fr': "allemand, moyen haut (ca. 1050-1500)", 'it': "Tedesco Medio Alto (ca.1050-1500)"},
      'goh': {'en': "German, Old High (ca.750-1050)", 'de': "Althochdeutsch", 'fr': "allemand, vieux haut (ca. 750-1050)", 'it': "Tedesco Antico Alto (ca.750-1050)"},
      'gon': {'en': "Gondi", 'de': "Gondi-Sprache", 'fr': "gond", 'it': "Gondi"},
      'gor': {'en': "Gorontalo", 'de': "Gorontalesisch", 'fr': "gorontalo", 'it': "Gorontalo"},
      'got': {'en': "Gothic", 'de': "Gotisch", 'fr': "gothique", 'it': "Gotico"},
      'grb': {'en': "Grebo", 'de': "Grebo-Sprache", 'fr': "grebo", 'it': "Grebo"},
      'grc': {'en': "Greek, Ancient (to 1453)", 'de': "Griechisch", 'fr': "grec ancien (jusqu'à 1453)", 'it': "Greco antico"},
      'gre': {'en': "Greek, Modern (1453-)", 'de': "Neugriechisch", 'fr': "grec moderne (après 1453)", 'it': "Greco moderno"},
      'grn': {'en': "Guarani", 'de': "Guaraní-Sprache", 'fr': "guarani", 'it': "Guarani"},
      'guj': {'en': "Gujarati", 'de': "Gujarati-Sprache", 'fr': "goudjrati", 'it': "Gujarati"},
      'gwi': {'en': "Gwich'in", 'de': "Kutchin-Sprache", 'fr': "gwich'in", 'it': "Gwich´in"},
      'hai': {'en': "Haida", 'de': "Haida-Sprache", 'fr': "haida", 'it': "Haida"},
      'hat': {'en': "Haitian; Haitian Creole", 'de': "Haïtien (Haiti-Kreolisch)", 'fr': "haïtien; créole haïtien", 'it': "Haitiano"},
      'hau': {'en': "Hausa", 'de': "Haussa-Sprache", 'fr': "haoussa", 'it': "Hausa"},
      'haw': {'en': "Hawaiian", 'de': "Hawaiisch", 'fr': "hawaïen", 'it': "Hawaiiano"},
      'heb': {'en': "Hebrew", 'de': "Hebräisch", 'fr': "hébreu", 'it': "Ebraico"},
      'her': {'en': "Herero", 'de': "Herero-Sprache", 'fr': "herero", 'it': "Herero"},
      'hil': {'en': "Hiligaynon", 'de': "Hiligaynon-Sprache", 'fr': "hiligaynon", 'it': "Hiligaynon"},
      'him': {'en': "Himachali languages; Western Pahari languages", 'de': "Himachali", 'fr': "langues himachalis; langues paharis occidentales", 'it': "Himachali"},
      'hin': {'en': "Hindi", 'de': "Hindi", 'fr': "hindi", 'it': "Hindi"},
      'hit': {'en': "Hittite", 'de': "Hethitisch", 'fr': "hittite", 'it': "Hittite"},
      'hmn': {'en': "Hmong; Mong", 'de': "Miao-Sprachen", 'fr': "hmong", 'it': "Hmong"},
      'hmo': {'en': "Hiri Motu", 'de': "Hiri-Motu", 'fr': "hiri motu", 'it': "Hiri Motu"},
      'hrv': {'en': "Croatian", 'de': "Kroatisch", 'fr': "croate", 'it': "Croato"},
      'hun': {'en': "Hungarian", 'de': "Ungarisch", 'fr': "hongrois", 'it': "Ungherese"},
      'hup': {'en': "Hupa", 'de': "Hupa-Sprache", 'fr': "hupa", 'it': "Hupa"},
      'iba': {'en': "Iban", 'de': "Iban-Sprache", 'fr': "iban", 'it': "Iban"},
      'ibo': {'en': "Igbo", 'de': "Ibo-Sprache", 'fr': "igbo", 'it': "Igbo"},
      'ice': {'en': "Icelandic", 'de': "Isländisch", 'fr': "islandais", 'it': "Islandese"},
      'ido': {'en': "Ido", 'de': "Ido", 'fr': "ido", 'it': "Ido"},
      'iii': {'en': "Sichuan Yi; Nuosu", 'de': "Lalo-Sprache", 'fr': "yi de Sichuan", 'it': "Sichuan Yi"},
      'ijo': {'en': "Ijo languages", 'de': "Ijo-Sprache", 'fr': "ijo, langues", 'it': "Ijo"},
      'iku': {'en': "Inuktitut", 'de': "Inuktitut", 'fr': "inuktitut", 'it': "Inuktitut"},
      'ile': {'en': "Interlingue; Occidental", 'de': "Interlingue", 'fr': "interlingue", 'it': "Interlingue"},
      'ilo': {'en': "Iloko", 'de': "Ilokano-Sprache", 'fr': "ilocano", 'it': "Iloko"},
      'ina': {'en': "Interlingua (International Auxiliary Language Association)", 'de': "Interlingua", 'fr': "interlingua (langue auxiliaire internationale)", 'it': "Interlingua (International Auxiliary Language Association)"},
      'inc': {'en': "Indic languages", 'de': "Indoarische Sprachen (Andere)", 'fr': "indo-aryennes, langues", 'it': "Indoariane (Altre)"},
      'ind': {'en': "Indonesian", 'de': "Bahasa Indonesia", 'fr': "indonésien", 'it': "Indonesiano"},
      'ine': {'en': "Indo-European languages", 'de': "Indogermanische Sprachen (Andere)", 'fr': "indo-européennes, langues", 'it': "Indo-Europee (Altre)"},
      'inh': {'en': "Ingush", 'de': "Inguschisch", 'fr': "ingouche", 'it': "Ingush"},
      'ipk': {'en': "Inupiaq", 'de': "Inupik", 'fr': "inupiaq", 'it': "Inupiaq"},
      'ira': {'en': "Iranian languages", 'de': "Iranische Sprachen (Andere)", 'fr': "iraniennes, langues", 'it': "Iraniane (Altre)"},
      'iro': {'en': "Iroquoian languages", 'de': "Irokesische Sprachen", 'fr': "iroquoises, langues", 'it': "Lingue Iroquoiane "},
      'ita': {'en': "Italian", 'de': "Italienisch", 'fr': "italien", 'it': "Italiano"},
      'jav': {'en': "Javanese", 'de': "Javanisch", 'fr': "javanais", 'it': "Giavanese"},
      'jpn': {'en': "Japanese", 'de': "Japanisch", 'fr': "japonais", 'it': "Giapponese"},
      'jpr': {'en': "Judeo-Persian", 'de': "Jüdisch-Persisch", 'fr': "judéo-persan", 'it': "Giudeo-Persiano"},
      'jrb': {'en': "Judeo-Arabic", 'de': "Jüdisch-Arabisch", 'fr': "judéo-arabe", 'it': "Giudeo-Arabo"},
      'kaa': {'en': "Kara-Kalpak", 'de': "Karakalpakisch", 'fr': "karakalpak", 'it': "Kara-Kalpak"},
      'kab': {'en': "Kabyle", 'de': "Kabylisch", 'fr': "kabyle", 'it': "Cabilo"},
      'kac': {'en': "Kachin; Jingpho", 'de': "Kachin-Sprache", 'fr': "kachin; jingpho", 'it': "Kachin"},
      'kal': {'en': "Kalaallisut; Greenlandic", 'de': "Grönländisch", 'fr': "groenlandais", 'it': "Kalaallisut"},
      'kam': {'en': "Kamba", 'de': "Kamba-Sprache", 'fr': "kamba", 'it': "Kamba"},
      'kan': {'en': "Kannada", 'de': "Kannada", 'fr': "kannada", 'it': "Kannada"},
      'kar': {'en': "Karen languages", 'de': "Karenisch", 'fr': "karen, langues", 'it': "Karen"},
      'kas': {'en': "Kashmiri", 'de': "Kaschmiri", 'fr': "kashmiri", 'it': "Kashmiri"},
      'kau': {'en': "Kanuri", 'de': "Kanuri-Sprache", 'fr': "kanouri", 'it': "Kanuri"},
      'kaw': {'en': "Kawi", 'de': "Kawi", 'fr': "kawi", 'it': "Kawi"},
      'kaz': {'en': "Kazakh", 'de': "Kasachisch", 'fr': "kazakh", 'it': "Kazakh"},
      'kbd': {'en': "Kabardian", 'de': "Kabardinisch", 'fr': "kabardien", 'it': "Kabardiano"},
      'kha': {'en': "Khasi", 'de': "Khasi-Sprache", 'fr': "khasi", 'it': "Khasi"},
      'khi': {'en': "Khoisan languages", 'de': "Khoisan-Sprachen (Andere)", 'fr': "khoïsan, langues", 'it': "Khoisan (Altre)"},
      'khm': {'en': "Central Khmer", 'de': "Kambodschanisch", 'fr': "khmer central", 'it': "Khmer"},
      'kho': {'en': "Khotanese; Sakan", 'de': "Sakisch", 'fr': "khotanais; sakan", 'it': "Khotanese"},
      'kik': {'en': "Kikuyu; Gikuyu", 'de': "Kikuyu-Sprache", 'fr': "kikuyu", 'it': "Kikuyu"},
      'kin': {'en': "Kinyarwanda", 'de': "Rwanda-Sprache", 'fr': "rwanda", 'it': "Kinyarwanda"},
      'kir': {'en': "Kirghiz; Kyrgyz", 'de': "Kirgisisch", 'fr': "kirghiz", 'it': "Kirghiso"},
      'kmb': {'en': "Kimbundu", 'de': "Kimbundu-Sprache", 'fr': "kimbundu", 'it': "Kimbundu"},
      'kok': {'en': "Konkani", 'de': "Konkani", 'fr': "konkani", 'it': "Konkani"},
      'kom': {'en': "Komi", 'de': "Komi-Sprache", 'fr': "kom", 'it': "Komi"},
      'kon': {'en': "Kongo", 'de': "Kongo-Sprache", 'fr': "kongo", 'it': "Kongo"},
      'kor': {'en': "Korean", 'de': "Koreanisch", 'fr': "coréen", 'it': "Coreano"},
      'kos': {'en': "Kosraean", 'de': "Kosraeanisch", 'fr': "kosrae", 'it': "Kosraean"},
      'kpe': {'en': "Kpelle", 'de': "Kpelle-Sprache", 'fr': "kpellé", 'it': "Kpelle"},
      'krc': {'en': "Karachay-Balkar", 'de': "Karatschaiisch-Balkarisch", 'fr': "karatchai balkar", 'it': "Karachay-Balkar"},
      'kro': {'en': "Kru languages", 'de': "Kru-Sprachen (Andere)", 'fr': "krou, langues", 'it': "Kru"},
      'kru': {'en': "Kurukh", 'de': "Oraon-Sprache", 'fr': "kurukh", 'it': "Kurukh"},
      'kua': {'en': "Kuanyama; Kwanyama", 'de': "Kwanyama-Sprache", 'fr': "kuanyama; kwanyama", 'it': "Kuanyama"},
      'kum': {'en': "Kumyk", 'de': "Kumükisch", 'fr': "koumyk", 'it': "Kumyk"},
      'kur': {'en': "Kurdish", 'de': "Kurdisch", 'fr': "kurde", 'it': "Curdo"},
      'kut': {'en': "Kutenai", 'de': "Kutenai-Sprache", 'fr': "kutenai", 'it': "Kutenai"},
      'lad': {'en': "Ladino", 'de': "Judenspanisch", 'fr': "judéo-espagnol", 'it': "Ladino"},
      'lah': {'en': "Lahnda", 'de': "Lahnda", 'fr': "lahnda", 'it': "Lahnda"},
      'lam': {'en': "Lamba", 'de': "Lamba-Sprache (Bantusprache)", 'fr': "lamba", 'it': "Lamba"},
      'lao': {'en': "Lao", 'de': "Laotisch", 'fr': "lao", 'it': "Lao"},
      'lat': {'en': "Latin", 'de': "Latein", 'fr': "latin", 'it': "Latino"},
      'lav': {'en': "Latvian", 'de': "Lettisch", 'fr': "letton", 'it': "Lettone"},
      'lez': {'en': "Lezghian", 'de': "Lesgisch", 'fr': "lezghien", 'it': "Lezghian"},
      'lim': {'en': "Limburgan; Limburger; Limburgish", 'de': "Limburgisch", 'fr': "limbourgeois", 'it': "Limburghese"},
      'lin': {'en': "Lingala", 'de': "Lingala", 'fr': "lingala", 'it': "Lingala"},
      'lit': {'en': "Lithuanian", 'de': "Litauisch", 'fr': "lituanien", 'it': "Lituano"},
      'lol': {'en': "Mongo", 'de': "Mongo-Sprache", 'fr': "mongo", 'it': "Mongo"},
      'loz': {'en': "Lozi", 'de': "Rotse-Sprache", 'fr': "lozi", 'it': "Lozi"},
      'ltz': {'en': "Luxembourgish; Letzeburgesch", 'de': "Luxemburgisch", 'fr': "luxembourgeois", 'it': "Lussemburghese"},
      'lua': {'en': "Luba-Lulua", 'de': "Lulua-Sprache", 'fr': "luba-lulua", 'it': "Luba-Lulua"},
      'lub': {'en': "Luba-Katanga", 'de': "Luba-Katanga-Sprache", 'fr': "luba-katanga", 'it': "Luba-Katanga"},
      'lug': {'en': "Ganda", 'de': "Ganda-Sprache", 'fr': "ganda", 'it': "Ganda"},
      'lui': {'en': "Luiseno", 'de': "Luiseño-Sprache", 'fr': "luiseno", 'it': "Luiseno"},
      'lun': {'en': "Lunda", 'de': "Lunda-Sprache", 'fr': "lunda", 'it': "Lunda"},
      'luo': {'en': "Luo (Kenya and Tanzania)", 'de': "Luo-Sprache", 'fr': "luo (Kenya et Tanzanie)", 'it': "Luo (Kenya e Tanzania)"},
      'lus': {'en': "Lushai", 'de': "Lushai-Sprache", 'fr': "lushai", 'it': "Lushai"},
      'mac': {'en': "Macedonian", 'de': "Makedonisch", 'fr': "macédonien", 'it': "Macedone"},
      'mad': {'en': "Madurese", 'de': "Maduresisch", 'fr': "madourais", 'it': "Madurese"},
      'mag': {'en': "Magahi", 'de': "Khotta", 'fr': "magahi", 'it': "Magahi"},
      'mah': {'en': "Marshallese", 'de': "Marschallesisch", 'fr': "marshall", 'it': "Marshallese"},
      'mai': {'en': "Maithili", 'de': "Maithili", 'fr': "maithili", 'it': "Maithili"},
      'mak': {'en': "Makasar", 'de': "Makassarisch", 'fr': "makassar", 'it': "Maksar"},
      'mal': {'en': "Malayalam", 'de': "Malayalam", 'fr': "malayalam", 'it': "Malayalam"},
      'man': {'en': "Mandingo", 'de': "Malinke-Sprache", 'fr': "mandingue", 'it': "Mandingo"},
      'mao': {'en': "Maori", 'de': "Maori-Sprache", 'fr': "maori", 'it': "Maori"},
      'map': {'en': "Austronesian languages", 'de': "Austronesische Sprachen (Andere)", 'fr': "austronésiennes, langues", 'it': "Austronesiane (Altre)"},
      'mar': {'en': "Marathi", 'de': "Marathi", 'fr': "marathe", 'it': "Marathi"},
      'mas': {'en': "Masai", 'de': "Massai-Sprache", 'fr': "massaï", 'it': "Masai"},
      'may': {'en': "Malay", 'de': "Malaiisch", 'fr': "malais", 'it': "Malese"},
      'mdf': {'en': "Moksha", 'de': "Mokscha-Sprache", 'fr': "moksa", 'it': "Moksha"},
      'mdr': {'en': "Mandar", 'de': "Mandaresisch", 'fr': "mandar", 'it': "Mandar"},
      'men': {'en': "Mende", 'de': "Mende-Sprache", 'fr': "mendé", 'it': "Mende"},
      'mga': {'en': "Irish, Middle (900-1200)", 'de': "Mittelirisch", 'fr': "irlandais moyen (900-1200)", 'it': "Irlandese Medio (900-1200)"},
      'mic': {'en': "Mi'kmaq; Micmac", 'de': "Micmac-Sprache", 'fr': "mi'kmaq; micmac", 'it': "Mi'kmaq"},
      'min': {'en': "Minangkabau", 'de': "Minangkabau-Sprache", 'fr': "minangkabau", 'it': "Minangkabau"},
      'mis': {'en': "Uncoded languages", 'de': "Einzelne andere Sprachen", 'fr': "langues non codées", 'it': "Lingue varie"},
      'mkh': {'en': "Mon-Khmer languages", 'de': "Mon-Khmer-Sprachen (Andere)", 'fr': "môn-khmer, langues", 'it': "Mon-Khmer (Altre)"},
      'mlg': {'en': "Malagasy", 'de': "Malagassi-Sprache", 'fr': "malgache", 'it': "Malagasy"},
      'mlt': {'en': "Maltese", 'de': "Maltesisch", 'fr': "maltais", 'it': "Maltese"},
      'mnc': {'en': "Manchu", 'de': "Mandschurisch", 'fr': "mandchou", 'it': "Manchu"},
      'mni': {'en': "Manipuri", 'de': "Meithei-Sprache", 'fr': "manipuri", 'it': "Manipuri"},
      'mno': {'en': "Manobo languages", 'de': "Manobo-Sprachen", 'fr': "manobo, langues", 'it': "Lingue Manobo"},
      'moh': {'en': "Mohawk", 'de': "Mohawk-Sprache", 'fr': "mohawk", 'it': "Mohawk"},
      'mol': {'en': "Mohawk", 'de': "Mohawk-Sprache", 'fr': "mohawk", 'it': "Moldavo"},
      'mon': {'en': "Mongolian", 'de': "Mongolisch", 'fr': "mongol", 'it': "Mongolo"},
      'mos': {'en': "Mossi", 'de': "Mossi-Sprache", 'fr': "moré", 'it': "Mossi"},
      'mwl': {'en': "Mirandese", 'de': "Mirandesisch", 'fr': "mirandais", 'it': "Mirandese"},
      'mul': {'en': "Multiple languages", 'de': "Mehrere Sprachen", 'fr': "multilingue", 'it': "Lingue multiple"},
      'mun': {'en': "Munda languages", 'de': "Mundasprachen (Andere)", 'fr': "mounda, langues", 'it': "Lingue Munda"},
      'mus': {'en': "Creek", 'de': "Muskogisch", 'fr': "muskogee", 'it': "Creek"},
      'mwr': {'en': "Marwari", 'de': "Marwari", 'fr': "marvari", 'it': "Marwari"},
      'myn': {'en': "Mayan languages", 'de': "Maya-Sprachen", 'fr': "maya, langues", 'it': "Lingue Maya"},
      'myv': {'en': "Erzya", 'de': "Erza-Mordwinisch", 'fr': "erza", 'it': "Erzya"},
      'nah': {'en': "Nahuatl languages", 'de': "Nahuatl", 'fr': "nahuatl, langues", 'it': "Nahuatl"},
      'nai': {'en': "North American Indian languages", 'de': "Indianersprachen, Nordamerika (Andere)", 'fr': "nord-amérindiennes, langues", 'it': "Lingue Native Nord Americane"},
      'nap': {'en': "Neapolitan", 'de': "Neapel / Mundart", 'fr': "napolitain", 'it': "Napoletano"},
      'nau': {'en': "Nauru", 'de': "Nauruanisch", 'fr': "nauruan", 'it': "Nauru"},
      'nav': {'en': "Navajo; Navaho", 'de': "Navajo-Sprache", 'fr': "navaho", 'it': "Navajo"},
      'nbl': {'en': "Ndebele, South; South Ndebele", 'de': "Ndebele-Sprache (Transvaal)", 'fr': "ndébélé du Sud", 'it': "Ndebele, Sud"},
      'nde': {'en': "Ndebele, North; North Ndebele", 'de': "Ndebele-Sprache (Simbabwe)", 'fr': "ndébélé du Nord", 'it': "Ndebele, Nord"},
      'ndo': {'en': "Ndonga", 'de': "Ndonga", 'fr': "ndonga", 'it': "Ndonga"},
      'nds': {'en': "Low German; Low Saxon; German, Low; Saxon, Low", 'de': "Niederdeutsch", 'fr': "bas allemand; bas saxon; allemand, bas; saxon, bas", 'it': "Basso Tedesco"},
      'nep': {'en': "Nepali", 'de': "Nepali", 'fr': "népalais", 'it': "Nepalese"},
      'new': {'en': "Nepal Bhasa; Newari", 'de': "Newari", 'fr': "nepal bhasa; newari", 'it': "Nepal Bhasa"},
      'nia': {'en': "Nias", 'de': "Nias-Sprache", 'fr': "nias", 'it': "Nias"},
      'nic': {'en': "Niger-Kordofanian languages", 'de': "Nigerkordofanische Sprachen (Andere)", 'fr': "nigéro-kordofaniennes, langues", 'it': "Niger-Kordofaniano (Altre)"},
      'niu': {'en': "Niuean", 'de': "Niue-Sprache", 'fr': "niué", 'it': "Niuean"},
      'nno': {'en': "Norwegian Nynorsk; Nynorsk, Norwegian", 'de': "Nynorsk", 'fr': "norvégien nynorsk; nynorsk, norvégien", 'it': "Norvegese Nynorsk"},
      'nob': {'en': "Bokmål, Norwegian; Norwegian Bokmål", 'de': "Bokmål", 'fr': "norvégien bokmål", 'it': "Norvegese Bokmål"},
      'nog': {'en': "Nogai", 'de': "Nogaisch", 'fr': "nogaï; nogay", 'it': "Nogai"},
      'non': {'en': "Norse, Old", 'de': "Altnorwegisch", 'fr': "norrois, vieux", 'it': "Norse, Antico"},
      'nor': {'en': "Norwegian", 'de': "Norwegisch", 'fr': "norvégien", 'it': "Norvegese"},
      'nso': {'en': "Pedi; Sepedi; Northern Sotho", 'de': "Pedi-Sprache", 'fr': "pedi; sepedi; sotho du Nord", 'it': "Northern Sotho"},
      'nub': {'en': "Nubian languages", 'de': "Nubische Sprachen", 'fr': "nubiennes, langues", 'it': "Nubian languages"},
      'nwc': {'en': "Classical Newari; Old Newari; Classical Nepal Bhasa", 'de': "Alt-Newari", 'fr': "newari classique", 'it': "Classical Newari"},
      'nya': {'en': "Chichewa; Chewa; Nyanja", 'de': "Nyanja-Sprache", 'fr': "chichewa; chewa; nyanja", 'it': "Chichewa"},
      'nym': {'en': "Nyamwezi", 'de': "Nyamwezi-Sprache", 'fr': "nyamwezi", 'it': "Nyamwezi"},
      'nyn': {'en': "Nyankole", 'de': "Nkole-Sprache", 'fr': "nyankolé", 'it': "Nyankole"},
      'nyo': {'en': "Nyoro", 'de': "Nyoro-Sprache", 'fr': "nyoro", 'it': "Nyoro"},
      'nzi': {'en': "Nzima", 'de': "Nzima-Sprache", 'fr': "nzema", 'it': "Nzima"},
      'oci': {'en': "Occitan (post 1500)", 'de': "Okzitanisch", 'fr': "occitan (après 1500)", 'it': "Occitano"},
      'oji': {'en': "Ojibwa", 'de': "Ojibwa-Sprache", 'fr': "ojibwa", 'it': "Ojibwa"},
      'ori': {'en': "Oriya", 'de': "Oriya-Sprache", 'fr': "oriya", 'it': "Oriya"},
      'orm': {'en': "Oromo", 'de': "Galla-Sprache", 'fr': "galla", 'it': "Oromo"},
      'osa': {'en': "Osage", 'de': "Osage-Sprache", 'fr': "osage", 'it': "Osage"},
      'oss': {'en': "Ossetian; Ossetic", 'de': "Ossetisch", 'fr': "ossète", 'it': "Osseto"},
      'ota': {'en': "Turkish, Ottoman (1500-1928)", 'de': "Osmanisch", 'fr': "turc ottoman (1500-1928)", 'it': "Turco, Ottomano (1500-1928)"},
      'oto': {'en': "Otomian languages", 'de': "Otomangue-Sprachen", 'fr': "otomi, langues", 'it': "Lingue Otomiane"},
      'paa': {'en': "Papuan languages", 'de': "Papuasprachen (Andere)", 'fr': "papoues, langues", 'it': "Papuasiche (Altre)"},
      'pag': {'en': "Pangasinan", 'de': "Pangasinan-Sprache", 'fr': "pangasinan", 'it': "Pangasinano"},
      'pal': {'en': "Pahlavi", 'de': "Mittelpersisch", 'fr': "pahlavi", 'it': "Pahlavi"},
      'pam': {'en': "Pampanga; Kapampangan", 'de': "Pampanggan-Sprache", 'fr': "pampangan", 'it': "Pampanga"},
      'pan': {'en': "Panjabi; Punjabi", 'de': "Pandschabi-Sprache", 'fr': "pendjabi", 'it': "Panjabi"},
      'pap': {'en': "Papiamento", 'de': "Papiamento", 'fr': "papiamento", 'it': "Papiamento"},
      'pau': {'en': "Palauan", 'de': "Palau-Sprache", 'fr': "palau", 'it': "Palauan"},
      'peo': {'en': "Persian, Old (ca.600-400 B.C.)", 'de': "Altpersisch", 'fr': "perse, vieux (ca. 600-400 av. J.-C.)", 'it': "Persiano Antico (ca.600-400 A.C.)"},
      'per': {'en': "Persian", 'de': "Persisch", 'fr': "persan", 'it': "Persiano"},
      'phi': {'en': "Philippine languages", 'de': "Philippinisch-Austronesisch (Andere)", 'fr': "philippines, langues", 'it': "Filippine (Altre)"},
      'phn': {'en': "Phoenician", 'de': "Phönikisch", 'fr': "phénicien", 'it': "Fenicio"},
      'pli': {'en': "Pali", 'de': "Pali", 'fr': "pali", 'it': "Pali"},
      'pol': {'en': "Polish", 'de': "Polnisch", 'fr': "polonais", 'it': "Polacco"},
      'pon': {'en': "Pohnpeian", 'de': "Ponapeanisch", 'fr': "pohnpei", 'it': "Pohnpeian"},
      'por': {'en': "Portuguese", 'de': "Portugiesisch", 'fr': "portugais", 'it': "Portoghese"},
      'pra': {'en': "Prakrit languages", 'de': "Prakrit", 'fr': "prâkrit, langues", 'it': "Lingue Prakrit"},
      'pro': {'en': "Provençal, Old (to 1500);Occitan, Old (to 1500)", 'de': "Altokzitanisch", 'fr': "provençal ancien (jusqu'à 1500); occitan ancien (jusqu'à 1500)", 'it': "Provenzale Antico (fino al 1500)"},
      'pus': {'en': "Pushto; Pashto", 'de': "Paschtu", 'fr': "pachto", 'it': "Pushto"},
      'que': {'en': "Quechua", 'de': "Quechua-Sprache", 'fr': "quechua", 'it': "Quechua"},
      'raj': {'en': "Rajasthani", 'de': "Rajasthani", 'fr': "rajasthani", 'it': "Rajasthani"},
      'rap': {'en': "Rapanui", 'de': "Osterinsel-Sprache", 'fr': "rapanui", 'it': "Rapanui"},
      'rar': {'en': "Rarotongan; Cook Islands Maori", 'de': "Rarotonganisch", 'fr': "rarotonga; maori des îles Cook", 'it': "Rarotongan"},
      'roa': {'en': "Romance languages", 'de': "Romanische Sprachen (Andere)", 'fr': "romanes, langues", 'it': "Romanza (Altra)"},
      'roh': {'en': "Romansh", 'de': "Rätoromanisch", 'fr': "romanche", 'it': "Reto-Romanzo (Rumantsch grischun)"},
      'rom': {'en': "Romany", 'de': "Romani (Sprache)", 'fr': "tsigane", 'it': "Romanes"},
      'run': {'en': "Rundi", 'de': "Rundi-Sprache", 'fr': "rundi", 'it': "Rundi"},
      'rus': {'en': "Russian", 'de': "Russisch", 'fr': "russe", 'it': "Russo"},
      'sad': {'en': "Sandawe", 'de': "Sandawe-Sprache", 'fr': "sandawe", 'it': "Sandawe"},
      'sag': {'en': "Sango", 'de': "Sango-Sprache", 'fr': "sango", 'it': "Sango"},
      'sah': {'en': "Yakut", 'de': "Jakutisch", 'fr': "iakoute", 'it': "Yakut"},
      'sai': {'en': "South American Indian languages", 'de': "Indianersprachen, Südamerika (Andere)", 'fr': "sud-amérindiennes, langues", 'it': "Lingue Native Sud Americane (Altre)"},
      'sal': {'en': "Salishan languages", 'de': "Salish-Sprache", 'fr': "salishennes, langues", 'it': "Lingue Salishan"},
      'sam': {'en': "Samaritan Aramaic", 'de': "Samaritanisch", 'fr': "samaritain", 'it': "Aramaico Samaritano"},
      'san': {'en': "Sanskrit", 'de': "Sanskrit", 'fr': "sanskrit", 'it': "Sanscrito"},
      'sas': {'en': "Sasak", 'de': "Sasak", 'fr': "sasak", 'it': "Sasak"},
      'sat': {'en': "Santali", 'de': "Santali", 'fr': "santal", 'it': "Santali"},
      'scc': {'en': "Santali", 'de': "Santali", 'fr': "santal", 'it': "Serbo"},
      'scn': {'en': "Sicilian", 'de': "Sizilianisch", 'fr': "sicilien", 'it': "Siciliano"},
      'sco': {'en': "Scots", 'de': "Schottisch", 'fr': "écossais", 'it': "Scozzese"},
      'scr': {'en': "Scots", 'de': "Schottisch", 'fr': "écossais", 'it': "Croato"},
      'sel': {'en': "Selkup", 'de': "Selkupisch", 'fr': "selkoupe", 'it': "Selkup"},
      'sem': {'en': "Semitic languages", 'de': "Semitische Sprachen (Andere)", 'fr': "sémitiques, langues", 'it': "Semitiche (Altre)"},
      'sga': {'en': "Irish, Old (to 900)", 'de': "Altirisch", 'fr': "irlandais ancien (jusqu'à 900)", 'it': "Irlandese Antico (fino al 900)"},
      'sgn': {'en': "Sign Languages", 'de': "Zeichensprachen", 'fr': "langues des signes", 'it': "Linguaggio dei segni"},
      'shn': {'en': "Shan", 'de': "Schan-Sprache", 'fr': "chan", 'it': "Shan"},
      'sid': {'en': "Sidamo", 'de': "Sidamo-Sprache", 'fr': "sidamo", 'it': "Sidamo"},
      'sin': {'en': "Sinhala; Sinhalese", 'de': "Singhalesisch", 'fr': "singhalais", 'it': "Sinhalese"},
      'sio': {'en': "Siouan languages", 'de': "Sioux-Sprachen (Andere)", 'fr': "sioux, langues", 'it': "Lingue Siouan"},
      'sit': {'en': "Sino-Tibetan languages", 'de': "Sinotibetische Sprachen (Andere)", 'fr': "sino-tibétaines, langues", 'it': "Sino-Tibetane (Altre)"},
      'sla': {'en': "Slavic languages", 'de': "Slawische Sprachen (Andere)", 'fr': "slaves, langues", 'it': "Slave (Altre)"},
      'slo': {'en': "Slovak", 'de': "Slowakisch", 'fr': "slovaque", 'it': "Slovacco"},
      'slv': {'en': "Slovenian", 'de': "Slowenisch", 'fr': "slovène", 'it': "Sloveno"},
      'sma': {'en': "Southern Sami", 'de': "Südsaamisch", 'fr': "sami du Sud", 'it': "Sami meridionale"},
      'sme': {'en': "Northern Sami", 'de': "Nordsaamisch", 'fr': "sami du Nord", 'it': "Sami settentrionale"},
      'smi': {'en': "Sami languages", 'de': "Saamisch", 'fr': "sames, langues", 'it': "Sami (Altre)"},
      'smj': {'en': "Lule Sami", 'de': "Lulesaamisch", 'fr': "sami de Lule", 'it': "Lule Sami"},
      'smn': {'en': "Inari Sami", 'de': "Inarisaamisch", 'fr': "sami d'Inari", 'it': "Inari Sami"},
      'smo': {'en': "Samoan", 'de': "Samoanisch", 'fr': "samoan", 'it': "Samoano"},
      'sms': {'en': "Skolt Sami", 'de': "Skoltsaamisch", 'fr': "sami skolt", 'it': "Skolt Sami"},
      'sna': {'en': "Shona", 'de': "Schona-Sprache", 'fr': "shona", 'it': "Shona"},
      'snd': {'en': "Sindhi", 'de': "Sindhi-Sprache", 'fr': "sindhi", 'it': "Sindhi"},
      'snk': {'en': "Soninke", 'de': "Soninke-Sprache", 'fr': "soninké", 'it': "Soninke"},
      'sog': {'en': "Sogdian", 'de': "Sogdisch", 'fr': "sogdien", 'it': "Sogdian"},
      'som': {'en': "Somali", 'de': "Somali", 'fr': "somali", 'it': "Somalo"},
      'son': {'en': "Songhai languages", 'de': "Songhai-Sprache", 'fr': "songhai, langues", 'it': "Songhai"},
      'sot': {'en': "Sotho, Southern", 'de': "Süd-Sotho-Sprache", 'fr': "sotho du Sud", 'it': "Sotho, Meridionale"},
      'spa': {'en': "Spanish; Castilian", 'de': "Spanisch", 'fr': "espagnol; castillan", 'it': "Spagnolo"},
      'srd': {'en': "Sardinian", 'de': "Sardisch", 'fr': "sarde", 'it': "Sardo"},
      'srp': {'en': "Serbian", 'de': "Serbisch", 'fr': "serbe", 'it': "Serbo"},
      'srr': {'en': "Serer", 'de': "Serer-Sprache", 'fr': "sérère", 'it': "Serer"},
      'ssa': {'en': "Nilo-Saharan languages", 'de': "Nilosaharanische Sprachen (Andere)", 'fr': "nilo-sahariennes, langues", 'it': "Nilo-Sahariano (Other)"},
      'ssw': {'en': "Swati", 'de': "Swasi-Sprache", 'fr': "swati", 'it': "Swati"},
      'suk': {'en': "Sukuma", 'de': "Sukuma-Sprache", 'fr': "sukuma", 'it': "Sukuma"},
      'sun': {'en': "Sundanese", 'de': "Sundanesisch", 'fr': "soundanais", 'it': "Sundanese"},
      'sus': {'en': "Susu", 'de': "Susu", 'fr': "soussou", 'it': "Susu"},
      'sux': {'en': "Sumerian", 'de': "Sumerisch", 'fr': "sumérien", 'it': "Sumerian"},
      'swa': {'en': "Swahili", 'de': "Swahili", 'fr': "swahili", 'it': "Swahili"},
      'swe': {'en': "Swedish", 'de': "Schwedisch", 'fr': "suédois", 'it': "Svedese"},
      'syr': {'en': "Syriac", 'de': "Neuostaramäisch", 'fr': "syriaque", 'it': "Syriac"},
      'tah': {'en': "Tahitian", 'de': "Tahitisch", 'fr': "tahitien", 'it': "Tahitian"},
      'tai': {'en': "Tai languages", 'de': "Thaisprachen (Andere)", 'fr': "tai, langues", 'it': "Tai (Other)"},
      'tam': {'en': "Tamil", 'de': "Tamil", 'fr': "tamoul", 'it': "Tamil"},
      'tat': {'en': "Tatar", 'de': "Tatarisch", 'fr': "tatar", 'it': "Tatar"},
      'tel': {'en': "Telugu", 'de': "Telugu-Sprache", 'fr': "télougou", 'it': "Telugu"},
      'tem': {'en': "Timne", 'de': "Temne-Sprache", 'fr': "temne", 'it': "Timne"},
      'ter': {'en': "Tereno", 'de': "Tereno-Sprache", 'fr': "tereno", 'it': "Tereno"},
      'tet': {'en': "Tetum", 'de': "Tetum-Sprache", 'fr': "tetum", 'it': "Tetum"},
      'tgk': {'en': "Tajik", 'de': "Tadschikisch", 'fr': "tadjik", 'it': "Tajik"},
      'tgl': {'en': "Tagalog", 'de': "Tagalog", 'fr': "tagalog", 'it': "Tagalog"},
      'tha': {'en': "Thai", 'de': "Thailändisch", 'fr': "thaï", 'it': "Thai"},
      'tib': {'en': "Tibetan", 'de': "Tibetisch", 'fr': "tibétain", 'it': "Tibetano"},
      'tig': {'en': "Tigre", 'de': "Tigre-Sprache", 'fr': "tigré", 'it': "Tigre"},
      'tir': {'en': "Tigrinya", 'de': "Tigrinja-Sprache", 'fr': "tigrigna", 'it': "Tigrinya"},
      'tiv': {'en': "Tiv", 'de': "Tiv-Sprache", 'fr': "tiv", 'it': "Tiv"},
      'tkl': {'en': "Tokelau", 'de': "Tokelauanisch", 'fr': "tokelau", 'it': "Tokelau"},
      'tlh': {'en': "Klingon; tlhIngan-Hol", 'de': "Klingonisch", 'fr': "klingon", 'it': "Klingon"},
      'tli': {'en': "Tlingit", 'de': "Tlingit-Sprache", 'fr': "tlingit", 'it': "Tlingit"},
      'tmh': {'en': "Tamashek", 'de': "Tamašeq", 'fr': "tamacheq", 'it': "Tamashek"},
      'tog': {'en': "Tonga (Nyasa)", 'de': "Tonga (Bantusprache, Sambia)", 'fr': "tonga (Nyasa)", 'it': "Tonga (Nyasa)"},
      'ton': {'en': "Tonga (Tonga Islands)", 'de': "Tongaisch", 'fr': "tongan (Îles Tonga)", 'it': "Tonga (Tonga Islands)"},
      'tpi': {'en': "Tok Pisin", 'de': "Neumelanesisch", 'fr': "tok pisin", 'it': "Tok Pisin"},
      'tsi': {'en': "Tsimshian", 'de': "Tsimshian-Sprache", 'fr': "tsimshian", 'it': "Tsimshian"},
      'tsn': {'en': "Tswana", 'de': "Tswana-Sprache", 'fr': "tswana", 'it': "Tswana"},
      'tso': {'en': "Tsonga", 'de': "Tsonga-Sprache", 'fr': "tsonga", 'it': "Tsonga"},
      'tuk': {'en': "Turkmen", 'de': "Turkmenisch", 'fr': "turkmène", 'it': "Turkmen"},
      'tum': {'en': "Tumbuka", 'de': "Tumbuka-Sprache", 'fr': "tumbuka", 'it': "Tumbuka"},
      'tup': {'en': "Tupi languages", 'de': "Tupi-Sprache", 'fr': "tupi, langues", 'it': "Lingue Tupi"},
      'tur': {'en': "Turkish", 'de': "Türkisch", 'fr': "turc", 'it': "Turco"},
      'tut': {'en': "Altaic languages", 'de': "Altaische Sprachen (Andere)", 'fr': "altaïques, langues", 'it': "Altaiche (Altre)"},
      'tvl': {'en': "Tuvalu", 'de': "Elliceanisch", 'fr': "tuvalu", 'it': "Tuvalu"},
      'twi': {'en': "Twi", 'de': "Twi-Sprache", 'fr': "twi", 'it': "Twi"},
      'tyv': {'en': "Tuvinian", 'de': "Tuwinisch", 'fr': "touva", 'it': "Tuvano"},
      'udm': {'en': "Udmurt", 'de': "Udmurtisch", 'fr': "oudmourte", 'it': "Udmurt"},
      'uga': {'en': "Ugaritic", 'de': "Ugaritisch", 'fr': "ougaritique", 'it': "Ugaritic"},
      'uig': {'en': "Uighur; Uyghur", 'de': "Uigurisch", 'fr': "ouïgour", 'it': "Uighur"},
      'ukr': {'en': "Ukrainian", 'de': "Ukrainisch", 'fr': "ukrainien", 'it': "Ucraino"},
      'umb': {'en': "Umbundu", 'de': "Mbundu-Sprache", 'fr': "umbundu", 'it': "Umbundu"},
      'und': {'en': "Undetermined", 'de': "Nicht zu entscheiden", 'fr': "indéterminée", 'it': "Indeterminata"},
      'urd': {'en': "Urdu", 'de': "Urdu", 'fr': "ourdou", 'it': "Urdu"},
      'uzb': {'en': "Uzbek", 'de': "Usbekisch", 'fr': "ouszbek", 'it': "Uzbeco"},
      'vai': {'en': "Vai", 'de': "Vai-Sprache", 'fr': "vaï", 'it': "Vai"},
      'ven': {'en': "Venda", 'de': "Venda-Sprache", 'fr': "venda", 'it': "Venda"},
      'vie': {'en': "Vietnamese", 'de': "Vietnamesisch", 'fr': "vietnamien", 'it': "Vietnamita"},
      'vol': {'en': "Volapük", 'de': "Volapük", 'fr': "volapük", 'it': "Volapük"},
      'vot': {'en': "Votic", 'de': "Wotisch", 'fr': "vote", 'it': "Votic"},
      'wak': {'en': "Wakashan languages", 'de': "Wakash-Sprachen", 'fr': "wakashanes, langues", 'it': "Lingue Wakashan"},
      'wal': {'en': "Wolaitta; Wolaytta", 'de': "Walamo-Sprache", 'fr': "wolaitta; wolaytta", 'it': "Walamo"},
      'war': {'en': "Waray", 'de': "Waray", 'fr': "waray", 'it': "Waray"},
      'was': {'en': "Washo", 'de': "Washo-Sprache", 'fr': "washo", 'it': "Washo"},
      'wel': {'en': "Welsh", 'de': "Kymrisch", 'fr': "gallois", 'it': "Gallese"},
      'wen': {'en': "Sorbian languages", 'de': "Sorbisch (Andere)", 'fr': "sorabes, langues", 'it': "Lingue Sorbe"},
      'wln': {'en': "Walloon", 'de': "Wallonisch", 'fr': "wallon", 'it': "Walloon"},
      'wol': {'en': "Wolof", 'de': "Wolof-Sprache", 'fr': "wolof", 'it': "Wolof"},
      'xal': {'en': "Kalmyk; Oirat", 'de': "Kalmückisch", 'fr': "kalmouk; oïrat", 'it': "Kalmyk"},
      'xho': {'en': "Xhosa", 'de': "Xhosa-Sprache", 'fr': "xhosa", 'it': "Xhosa"},
      'yao': {'en': "Yao", 'de': "Yao-Sprache (Bantusprache)", 'fr': "yao", 'it': "Yao"},
      'yap': {'en': "Yapese", 'de': "Yapesisch", 'fr': "yapois", 'it': "Yapese"},
      'yid': {'en': "Yiddish", 'de': "Jiddisch", 'fr': "yiddish", 'it': "Yiddish"},
      'yor': {'en': "Yoruba", 'de': "Yoruba-Sprache", 'fr': "yoruba", 'it': "Yoruba"},
      'ypk': {'en': "Yupik languages", 'de': "Ypik-Sprachen", 'fr': "yupik, langues", 'it': "Lingue Yupik"},
      'zap': {'en': "Zapotec", 'de': "Zapotekisch", 'fr': "zapotèque", 'it': "Zapotec"},
      'zen': {'en': "Zenaga", 'de': "Zenaga", 'fr': "zenaga", 'it': "Zenaga"},
      'zha': {'en': "Zhuang; Chuang", 'de': "Zhuang", 'fr': "zhuang; chuang", 'it': "Zhuang"},
      'znd': {'en': "Zande languages", 'de': "Zande-Sprachen", 'fr': "zandé, langues", 'it': "Zande"},
      'zul': {'en': "Zulu", 'de': "Zulu-Sprache", 'fr': "zoulou", 'it': "Zulu"},
      'zun': {'en': "Zuni", 'de': "Zuñi-Sprache", 'fr': "zuni", 'it': "Zu'ni"}
    }

    var result = false;

    //Check if key is alvailable
    if(dict[key]){

      //Check if translation of that key is available
      if(dict[key][lang]){
        result = dict[key][lang];
      }
      //else try to take the englisch translation
      else if(dict[key]['en']){
        result = dict[key]['en'];
      }
    }

    //if none of the above worked, take the key as display label
    if(result === false){
      result = key;
      console.log('iso key not found: '+ key);
    }

    return result;
  }
}
